# tento skript obsahuje informace o úpravách dat, které musejí být provedeny bez ohledu na
# jejich zdroj

# skript obsahuje
# 1. seznam značek, které mají stejného majitele





# vyčisti workspace
rm(list = ls())

# načti potřebné balíky
library(tibble)

# nastav cesty
DATADIR <- "data"
CODEDIR <- "R"
OUTPUTFILE <- "handmade_corrections_general.RData"





# stejný majitel --------------------------------------------------------------------

# při kontrole, kdo je konkurent apod. podle jména, je potřeba někdy zvážit to, že některé
# značky patří do stejné skupiny, tj. i když se jméno značky liší, nejsou to konkurenti;
# jména však nejde sjednotit globálně, protože různé značky musejí mít v regresi různé
# intercepty, protože se jedná např. o prémiovou značku (mol) a low-cost značku (papoil);
# v příkladu níže jsou data náhodná -- je to potřeba opravit

# ZDROJE:
# * PapOil -- Mol jsou zřejmě vlastněné jednou značkou od začátku dat:
#   https://molcesko.cz/cz/o-nas/media/15823-cerpaci-stanice-pap-oil-zezelenaji-bude-z-nich-mol/

# TODO: nastavit správná data v korekční tabulce
same_owners_correction_table <- tribble(~from_date, ~to_date, ~group_name, ~name,
                                        "2012-01-01", "2100-12-31", "mol", "papoil",
                                        "2012-01-01", "2100-12-31", "mol", "slovnaft",
                                        "2012-01-01", "2100-12-31", "benzina", "orlen",
                                        "2012-01-01", "2100-12-31", "benzina", "star",
                                        "2003-04-01", "2100-12-31", "omv", "avanti")





# uložení výsledných dat
save(same_owners_correction_table,
     file = file.path(DATADIR, OUTPUTFILE))
